## org.freedesktop.Geoclue

org.freedesktop.Geoclue — Geoclue interface

## Methods

    GetProviderInfo (out 's'Name,
                     out 's'Description)
    GetStatus       (out 'i'status)
    SetOptions      (in  'a{ss}'options)
    AddReference    ()
    RemoveReference ()

## Signals

    StatusChanged ('i'status)

## Implemented Interfaces

org.freedesktop.Geoclue implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

Geoclue interface contains methods and signals common to all providers (and all providers must implement at least this interface).

## Details

### GetProviderInfo ()

    GetProviderInfo (out 's' Name,
                     out 's' Description)

`Name`: | The provider name
`Description`: | Short description of the provider

### GetStatus ()

    GetStatus (out 'i' status)

`status`: | Current provider status, as GeoclueStatus

### SetOptions ()

    SetOptions (in  'a{ss}' options)

`options`: |

### AddReference ()

    AddReference ()

Increase the reference count on the provider. Provider may shutdown if reference count reaches zero, so using AddReference()/RemoveReference is important for clients needing server persistence -- basically any client that uses SetOptions() or connects to signals.

### RemoveReference ()

    RemoveReference ()

Decrease the reference count on the provider

## Signal Details

### The StatusChanged signal

    StatusChanged ('i' status)

`status`: | Current provider status, as GeoclueStatus

## Property Details